LibreOffice LibreOffice 6.2 SDK API Reference

Classes | Modules
XScriptEventsAttacher.idl File Reference
`import "com/sun/star/script/XScriptListener.idl";`
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/lang/IllegalArgumentException.idl";`
`import "com/sun/star/beans/IntrospectionException.idl";`
`import "com/sun/star/script/CannotCreateAdapterException.idl";`
`import "com/sun/star/lang/ServiceNotRegisteredException.idl";`

Go to the source code of this file.

## Classes
interface | XScriptEventsAttacher
| This interface can be used to attach script events to a number of objects that give access to the definition of events that should be attached to them, e.g., by supporting XEventsSupplier. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::script
| Scripting language bindings.